Bug 684396 - SELinux is preventing /usr/sbin/wpa_supplicant from 'write' accesses on the netlink_socket Unknown.
Summary: SELinux is preventing /usr/sbin/wpa_supplicant from 'write' accesses on the n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:3efa9388fa0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-12 09:10 UTC by Matěj Cepl
Modified: 2018-04-11 09:00 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.9.16-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-19 05:54:00 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2011-03-12 09:10:06 UTC
SELinux is preventing /usr/sbin/wpa_supplicant from 'write' accesses on the netlink_socket Unknown.

Actually I have no idea, how this happened. Just found this in sealert -b list. Yes I am connected to the network via WiFi almost all the time.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that wpa_supplicant should be allowed write access on the Unknown netlink_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep wpa_supplicant /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:NetworkManager_t:s0-s0:c0.c1023
Target Context                system_u:system_r:NetworkManager_t:s0-s0:c0.c1023
Target Objects                Unknown [ netlink_socket ]
Source                        wpa_supplicant
Source Path                   /usr/sbin/wpa_supplicant
Port                          <Neznámé>
Host                          (removed)
Source RPM Packages           wpa_supplicant-0.7.3-4.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-1.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38-0.rc8.git0.1.fc15.x86_64 #1
                              SMP Tue Mar 8 08:22:15 UTC 2011 x86_64 x86_64
Alert Count                   410
First Seen                    Čt 10. březen 2011, 07:42:12 CET
Last Seen                     So 12. březen 2011, 10:07:56 CET
Local ID                      97a09e92-1099-483d-87c7-0ad86313eedf

Raw Audit Messages
type=AVC msg=audit(1299920876.246:2995): avc:  denied  { write } for  pid=1371 comm="wpa_supplicant" scontext=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 tcontext=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 tclass=netlink_socket


type=SYSCALL msg=audit(1299920876.246:2995): arch=x86_64 syscall=sendmsg success=yes exit=ENOSPC a0=5 a1=7fff1b646800 a2=0 a3=0 items=0 ppid=1 pid=1371 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=wpa_supplicant exe=/usr/sbin/wpa_supplicant subj=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 key=(null)

Hash: wpa_supplicant,NetworkManager_t,NetworkManager_t,netlink_socket,write

audit2allow

#============= NetworkManager_t ==============
allow NetworkManager_t self:netlink_socket write;

audit2allow -R

#============= NetworkManager_t ==============
allow NetworkManager_t self:netlink_socket write;

Comment 1 Miroslav Grepl 2011-03-14 08:46:16 UTC
Fixed in selinux-policy-3.9.16-4.fc15

Comment 2 Fedora Update System 2011-03-17 15:28:52 UTC
selinux-policy-3.9.16-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-5.fc15

Comment 3 Fedora Update System 2011-03-19 05:53:03 UTC
selinux-policy-3.9.16-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.